package com.objis.demothreadexecutor.callable;

import java.util.concurrent.Callable;

/*
 * Tache qui retourne quelquechose (ici nom du thread)
 */
public class MaTacheQuiRetourneQuelqueChose implements Callable<String> {

	private long waitTime;

	public MaTacheQuiRetourneQuelqueChose(int timeInMillis) {
		this.waitTime = timeInMillis;
	}

	@Override
	public String call() throws Exception {
		Thread.sleep(waitTime);
		// retourne le nom du thread --> Pourrait retourner le resultat
		// traitement metier...
		return Thread.currentThread().getName();
	}
}
